alert(3)

NAME
alert - Displays a popup alert box. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int alert(const char *s1, *s2, *s3, const char *b1, *b2, int c1, c2);

DESCRIPTION
Displays a popup alert box, containing three lines of text (s1-s3), and with either one or two buttons. The text for these buttons is passed in `b1' and `b2' (`b2' may be NULL), and the keyboard shortcuts in `c1' and `c2' as ASCII value. Example:
   if (!exists(CONFIG_FILE))
      alert(CONFIG_FILE, "not found.", "Using defaults.",
            "&Continue", NULL, 'c', 0);

RETURN VALUE
Returns 1 or 2 depending on which button was clicked. If the alert is dismissed by pressing ESC when ESC is not one of the keyboard shortcuts, it treats it as a click on the second button (this is consistent with the common "Ok", "Cancel" alert).

SEE ALSO
alert3(3), gui_fg_color(3), exgui(3), expackf(3), exspline(3)